Bulk Financials
curl --request POST \
--url https://api.bizzy.ai/v2/legal-entities/financials \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"range": 123
}'import requests
url = "https://api.bizzy.ai/v2/legal-entities/financials"
payload = { "range": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({range: 123})
};
fetch('https://api.bizzy.ai/v2/legal-entities/financials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"legalEntityIdentifier": {
"legalEntityId": "1778186251",
"countryCode": "BE",
"name": "Bizzy AI",
"isPrimary": true
},
"data": [
{
"startDate": "2024-01-01",
"endDate": "2024-12-31",
"dateReceived": "2025-07-28",
"healthIndicator": 7,
"jointCommitteeCodes": [],
"profitability": {
"revenue": null,
"grossMargin": -6490.95,
"ebitda": -1674040.12,
"ebit": -2005417.93,
"netProfit": -2091791.18
},
"liquidity": {
"cash": 839561.33,
"cashFlow": -1759580.29,
"netWorkingCapital": -452639.45,
"netWorkingCapitalRequirement": -1100126.39,
"currentRatio": 0.7625,
"quickRatio": 1.347
},
"solvency": {
"totalAssets": 2282863.55,
"equity": -1976758.42,
"capital": null,
"retainedEarnings": -3300214.42,
"debt": 4259621.97,
"longTermDebt": 2353407.75,
"longTermDebtFinancial": 2353407.75,
"longTermDebtAccountsPayable": 0,
"shortTermDebt": 1017763.8,
"shortTermDebtFinancial": 192074.39,
"shortTermDebtAccountsPayable": 525293.41
},
"people": {
"employees": 28,
"newHires": 18,
"employeeMaleRatio": 0.8571,
"employeeFemaleRatio": 0.1429
}
},
{
"startDate": "2023-01-01",
"endDate": "2023-12-31",
"dateReceived": "2024-07-31",
"healthIndicator": 5,
"jointCommitteeCodes": [
"200"
],
"profitability": {
"revenue": null,
"grossMargin": -157493.98,
"ebitda": -721635.55,
"ebit": -909762.24,
"netProfit": -924861.06
},
"liquidity": {
"cash": 486301.02,
"cashFlow": -736314.45,
"netWorkingCapital": 13795.96,
"netWorkingCapitalRequirement": -454370.47,
"currentRatio": 1.0196,
"quickRatio": 1.6408
},
"solvency": {
"totalAssets": 1198129.04,
"equity": 115032.76,
"capital": null,
"retainedEarnings": -1208423.24,
"debt": 1083096.28,
"longTermDebt": 379351.41,
"longTermDebtFinancial": 379351.41,
"longTermDebtAccountsPayable": 0,
"shortTermDebt": 404044.38,
"shortTermDebtFinancial": 18134.59,
"shortTermDebtAccountsPayable": 158076.92
},
"people": {
"employees": 12,
"newHires": 6,
"employeeMaleRatio": 0.9167,
"employeeFemaleRatio": 0.0833
}
},
{
"startDate": "2021-06-29",
"endDate": "2022-12-31",
"dateReceived": "2023-08-03",
"healthIndicator": 8,
"jointCommitteeCodes": [
"200"
],
"profitability": {
"revenue": null,
"grossMargin": 165086.63,
"ebitda": -186249.28,
"ebit": -280667.61,
"netProfit": -283562.18
},
"liquidity": {
"cash": 898378.68,
"cashFlow": -188584.41,
"netWorkingCapital": 758619.72,
"netWorkingCapitalRequirement": -133652.28,
"currentRatio": 5.4031,
"quickRatio": 5.4511
},
"solvency": {
"totalAssets": 1259395.25,
"equity": 1039893.82,
"capital": null,
"retainedEarnings": -283562.18,
"debt": 219501.43,
"longTermDebt": 47209.12,
"longTermDebtFinancial": 47209.12,
"longTermDebtAccountsPayable": 0,
"shortTermDebt": 168577.31,
"shortTermDebtFinancial": 6106.68,
"shortTermDebtAccountsPayable": 44652.51
},
"people": {
"employees": 6,
"newHires": 15,
"employeeMaleRatio": 0.8333,
"employeeFemaleRatio": 0.1667
}
}
],
"range": 4,
"message": null
},
{ // Example error
"legalEntityIdentifier": {
"legalEntityId": "123456789"
},
"data": null,
"range": null,
"message": "Legal entity not found"
}
]
Legal Entity API
Bulk Financials
POST
/
v2
/
legal-entities
/
financials
Bulk Financials
Request
Header
string
default:"EN"
- NL: Dutch - FR: French - EN: English
Body
array
Show legal entity properties
Show legal entity properties
string
required
Obfuscated legalEntityId returned by the company legal entities endpoint.
You can request up to 100 legal entities at once.
number
default:"4"
Number of most recent financial years to return. Shared over all legal entities.
Response
[
{
"legalEntityIdentifier": {
"legalEntityId": "1778186251",
"countryCode": "BE",
"name": "Bizzy AI",
"isPrimary": true
},
"data": [
{
"startDate": "2024-01-01",
"endDate": "2024-12-31",
"dateReceived": "2025-07-28",
"healthIndicator": 7,
"jointCommitteeCodes": [],
"profitability": {
"revenue": null,
"grossMargin": -6490.95,
"ebitda": -1674040.12,
"ebit": -2005417.93,
"netProfit": -2091791.18
},
"liquidity": {
"cash": 839561.33,
"cashFlow": -1759580.29,
"netWorkingCapital": -452639.45,
"netWorkingCapitalRequirement": -1100126.39,
"currentRatio": 0.7625,
"quickRatio": 1.347
},
"solvency": {
"totalAssets": 2282863.55,
"equity": -1976758.42,
"capital": null,
"retainedEarnings": -3300214.42,
"debt": 4259621.97,
"longTermDebt": 2353407.75,
"longTermDebtFinancial": 2353407.75,
"longTermDebtAccountsPayable": 0,
"shortTermDebt": 1017763.8,
"shortTermDebtFinancial": 192074.39,
"shortTermDebtAccountsPayable": 525293.41
},
"people": {
"employees": 28,
"newHires": 18,
"employeeMaleRatio": 0.8571,
"employeeFemaleRatio": 0.1429
}
},
{
"startDate": "2023-01-01",
"endDate": "2023-12-31",
"dateReceived": "2024-07-31",
"healthIndicator": 5,
"jointCommitteeCodes": [
"200"
],
"profitability": {
"revenue": null,
"grossMargin": -157493.98,
"ebitda": -721635.55,
"ebit": -909762.24,
"netProfit": -924861.06
},
"liquidity": {
"cash": 486301.02,
"cashFlow": -736314.45,
"netWorkingCapital": 13795.96,
"netWorkingCapitalRequirement": -454370.47,
"currentRatio": 1.0196,
"quickRatio": 1.6408
},
"solvency": {
"totalAssets": 1198129.04,
"equity": 115032.76,
"capital": null,
"retainedEarnings": -1208423.24,
"debt": 1083096.28,
"longTermDebt": 379351.41,
"longTermDebtFinancial": 379351.41,
"longTermDebtAccountsPayable": 0,
"shortTermDebt": 404044.38,
"shortTermDebtFinancial": 18134.59,
"shortTermDebtAccountsPayable": 158076.92
},
"people": {
"employees": 12,
"newHires": 6,
"employeeMaleRatio": 0.9167,
"employeeFemaleRatio": 0.0833
}
},
{
"startDate": "2021-06-29",
"endDate": "2022-12-31",
"dateReceived": "2023-08-03",
"healthIndicator": 8,
"jointCommitteeCodes": [
"200"
],
"profitability": {
"revenue": null,
"grossMargin": 165086.63,
"ebitda": -186249.28,
"ebit": -280667.61,
"netProfit": -283562.18
},
"liquidity": {
"cash": 898378.68,
"cashFlow": -188584.41,
"netWorkingCapital": 758619.72,
"netWorkingCapitalRequirement": -133652.28,
"currentRatio": 5.4031,
"quickRatio": 5.4511
},
"solvency": {
"totalAssets": 1259395.25,
"equity": 1039893.82,
"capital": null,
"retainedEarnings": -283562.18,
"debt": 219501.43,
"longTermDebt": 47209.12,
"longTermDebtFinancial": 47209.12,
"longTermDebtAccountsPayable": 0,
"shortTermDebt": 168577.31,
"shortTermDebtFinancial": 6106.68,
"shortTermDebtAccountsPayable": 44652.51
},
"people": {
"employees": 6,
"newHires": 15,
"employeeMaleRatio": 0.8333,
"employeeFemaleRatio": 0.1667
}
}
],
"range": 4,
"message": null
},
{ // Example error
"legalEntityIdentifier": {
"legalEntityId": "123456789"
},
"data": null,
"range": null,
"message": "Legal entity not found"
}
]
Was this page helpful?
⌘I